Public Attributes | List of all members
ble_gap_ext_adv_param_t Struct Reference
BLE » Generic Access Profile (GAP) » Generic Access Profile (GAP) Management » Structures

Advertising parameters for extended advertising and periodic advertising. More...

`#include <ble_gapm.h>`

## Public Attributes
uint8_t | type
uint8_t | disc_mode
uint16_t | prop
int8_t | max_tx_pwr
uint8_t | filter_pol
ble_gap_bdaddr_t | peer_addr
ble_gap_adv_prim_cfg_t | prim_cfg
ble_gap_adv_second_cfg_t | second_cfg
ble_gap_adv_period_cfg_t | period_cfg

## Detailed Description

Advertising parameters for extended advertising and periodic advertising.

Definition at line 600 of file ble_gapm.h.

## Member Data Documentation

## ◆ disc_mode

uint8_t ble_gap_ext_adv_param_t::disc_mode

Discovery mode (see enum ble_gap_disc_mode_t).

Definition at line 603 of file ble_gapm.h.

## ◆ filter_pol

uint8_t ble_gap_ext_adv_param_t::filter_pol

Advertising filtering policy (see enum ble_gap_adv_filter_policy_t).

Definition at line 606 of file ble_gapm.h.

## ◆ max_tx_pwr

int8_t ble_gap_ext_adv_param_t::max_tx_pwr

Maximum power level at which the advertising packets have to be transmitted (support value:[-21, -14, -8, -2, 0, 1, 2, 3, 4, 5, 6, 7]).

Definition at line 605 of file ble_gapm.h.

## ◆ peer_addr

ble_gap_bdaddr_t ble_gap_ext_adv_param_t::peer_addr

Peer address configuration (only used in case of directed advertising or used to locate the IRK list).

Definition at line 607 of file ble_gapm.h.

## ◆ period_cfg

ble_gap_adv_period_cfg_t ble_gap_ext_adv_param_t::period_cfg

Configuration for periodic advertising (valid only if advertising type is GAP_ADV_TYPE_PERIODIC).

Definition at line 610 of file ble_gapm.h.

## ◆ prim_cfg

ble_gap_adv_prim_cfg_t ble_gap_ext_adv_param_t::prim_cfg

Configuration for primary advertising.

Definition at line 608 of file ble_gapm.h.

## ◆ prop

uint16_t ble_gap_ext_adv_param_t::prop

Bit field value provided by advertising properties. See enum ble_gap_adv_prop_t for bit signification.

Definition at line 604 of file ble_gapm.h.

## ◆ second_cfg

ble_gap_adv_second_cfg_t ble_gap_ext_adv_param_t::second_cfg

Configuration for secondary advertising (valid only if advertising type is GAP_ADV_TYPE_EXTENDED or GAP_ADV_TYPE_PERIODIC).

Definition at line 609 of file ble_gapm.h.

## ◆ type

uint8_t ble_gap_ext_adv_param_t::type

Advertising type (see enum ble_gap_adv_type_t).

Definition at line 602 of file ble_gapm.h.

The documentation for this struct was generated from the following file:

- ble_gapm.h